ru.bitel.bgbilling.modules.yamoney.server.bean

## Enum YKEvent

- java.lang.Object
- - java.lang.Enum<YKEvent>
  - - ru.bitel.bgbilling.modules.yamoney.server.bean.YKEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<YKEvent>

      public enum YKEvent
      extends java.lang.Enum<YKEvent>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PAYMENT_CANCELED`
    `PAYMENT_SUCCEEDED`
    `PAYMENT_WAITING_FOR_CAPTURE`
    `REFUND_SUCCEEDED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEventName()`
    `static YKEvent` | `getYKPaymentEventByEvent(java.lang.String eventName)`
    `static YKEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static YKEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAYMENT_WAITING_FOR_CAPTURE

          public static final YKEvent PAYMENT_WAITING_FOR_CAPTURE

    - #### PAYMENT_SUCCEEDED

          public static final YKEvent PAYMENT_SUCCEEDED

    - #### PAYMENT_CANCELED

          public static final YKEvent PAYMENT_CANCELED

    - #### REFUND_SUCCEEDED

          public static final YKEvent REFUND_SUCCEEDED

  - ### Method Detail

    - #### values

          public static YKEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (YKEvent c : YKEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static YKEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getEventName

          public java.lang.String getEventName()

    - #### getYKPaymentEventByEvent

          public static YKEvent getYKPaymentEventByEvent(java.lang.String eventName)